<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: unordered_pair.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_f6486992fdfcc735347cc2d407578037.html">FaceFilterSDK</a></li><li class="navelem"><a class="el" href="dir_80a4fd4d67846ee877317f9ddd7282cb.html">DlibWrapper</a></li><li class="navelem"><a class="el" href="dir_9b7b8713e4f43f3006d0cb3c779d469e.html">dlib</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">unordered_pair.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (C) 2010  Davis E. King (davis@dlib.net)</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// License: Boost Software License   See LICENSE.txt for the full license.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef DLIB_UNORDERED_PAiR_Hh_</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define DLIB_UNORDERED_PAiR_Hh_</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;serialize.h&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacedlib.html">dlib</a></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;{</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">template</span> &lt;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="keyword">typename</span> T</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        &gt;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html">   16</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structdlib_1_1unordered__pair.html">unordered_pair</a> </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html#aa7f8de40bf6b194195f112d8edfb71aa">   43</a></span>&#160;        <span class="keyword">typedef</span> T <a class="code" href="structdlib_1_1unordered__pair.html#aa7f8de40bf6b194195f112d8edfb71aa">type</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="keyword">typedef</span> T first_type;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keyword">typedef</span> T second_type;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">const</span> T first;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">const</span> T second;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html#acf9616303a651746b28b516bb1f9c6c1">   50</a></span>&#160;        <a class="code" href="structdlib_1_1unordered__pair.html#acf9616303a651746b28b516bb1f9c6c1">unordered_pair</a>() : first(), second()  {}</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html#ac1d1f87e23fcd45b1e58d0f3e737866a">   56</a></span>&#160;        <a class="code" href="structdlib_1_1unordered__pair.html#ac1d1f87e23fcd45b1e58d0f3e737866a">unordered_pair</a>(</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            <span class="keyword">const</span> T&amp; a, </div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            <span class="keyword">const</span> T&amp; b</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        ) :</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            first( a &lt; b ? a : b),</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            second(a &lt; b ? b : a) {}</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">template</span> &lt;<span class="keyword">typename</span> U&gt;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html#a152a01273d2896bcefaa21383b704cab">   69</a></span>&#160;        <a class="code" href="structdlib_1_1unordered__pair.html#a152a01273d2896bcefaa21383b704cab">unordered_pair</a> (</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <span class="keyword">const</span> <a class="code" href="structdlib_1_1unordered__pair.html">unordered_pair &lt;U&gt;</a>&amp; p</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        ) :</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            first(p.first),</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            second(p.second) {}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="structdlib_1_1unordered__pair.html#af43ce90a2aa2c985ff05d4e957f9a871">   79</a></span>&#160;        <a class="code" href="structdlib_1_1unordered__pair.html">unordered_pair</a>&amp; <a class="code" href="structdlib_1_1unordered__pair.html#af43ce90a2aa2c985ff05d4e957f9a871">operator= </a>(</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <span class="keyword">const</span> <a class="code" href="structdlib_1_1unordered__pair.html">unordered_pair</a>&amp; item</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        ) </div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            const_cast&lt;T&amp;&gt;(first) = item.first;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            const_cast&lt;T&amp;&gt;(second) = item.second;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    };</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">bool</span> operator==(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair &lt;T&gt;&amp; b)</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    {</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">return</span> a.first == b.first &amp;&amp; a.second == b.second;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">bool</span> operator!=(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair &lt;T&gt;&amp; b)</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    {</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordflow">return</span> !(a == b);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    }</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">bool</span> operator&lt;(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; b)</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    {</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keywordflow">return</span> (a.first &lt; b.first || (!(b.first &lt; a.first) &amp;&amp; a.second &lt; b.second));</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    }</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">bool</span> operator&gt;(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair &lt;T&gt;&amp; b)</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    {</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        <span class="keywordflow">return</span> b &lt; a;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    }</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">bool</span> operator&lt;=(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair &lt;T&gt;&amp; b)</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    {</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keywordflow">return</span> !(b &lt; a);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    }</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160; </div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">bool</span> operator&gt;=(<span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; a, <span class="keyword">const</span> unordered_pair &lt;T&gt;&amp; b)</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    {</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">return</span> !(a &lt; b);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    unordered_pair&lt;T&gt; make_unordered_pair (<span class="keyword">const</span> T&amp; a, <span class="keyword">const</span> T&amp; b)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    {</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordflow">return</span> unordered_pair&lt;T&gt;(a,b);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    }</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keywordtype">void</span> serialize (</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keyword">const</span> unordered_pair&lt;T&gt;&amp; item,</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        std::ostream&amp; out</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    )</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    {</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordflow">try</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        { </div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            serialize(item.first,out); </div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;            serialize(item.second,out); </div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        }</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keywordflow">catch</span> (serialization_error&amp; e)</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        { <span class="keywordflow">throw</span> serialization_error(e.info + <span class="stringliteral">&quot;\n   while serializing object of type unordered_pair&quot;</span>); }</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    }</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keywordtype">void</span> deserialize (</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        unordered_pair&lt;T&gt;&amp; item,</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        std::istream&amp; in </div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    )</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    {</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        <span class="keywordflow">try</span></div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        { </div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;            T a, b;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            deserialize(a,in); </div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            deserialize(b,in); </div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            item = make_unordered_pair(a,b);</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        }</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordflow">catch</span> (serialization_error&amp; e)</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        { <span class="keywordflow">throw</span> serialization_error(e.info + <span class="stringliteral">&quot;\n   while deserializing object of type unordered_pair&quot;</span>); }</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    }</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="comment">// ----------------------------------------------------------------------------------------</span></div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160; </div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;}</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="preprocessor">#endif // DLIB_UNORDERED_PAiR_Hh_</span></div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructdlib_1_1unordered__pair_html_ac1d1f87e23fcd45b1e58d0f3e737866a"><div class="ttname"><a href="structdlib_1_1unordered__pair.html#ac1d1f87e23fcd45b1e58d0f3e737866a">dlib::unordered_pair::unordered_pair</a></div><div class="ttdeci">unordered_pair(const T &amp;a, const T &amp;b)</div><div class="ttdef"><b>Definition:</b> unordered_pair.h:56</div></div>
<div class="ttc" id="astructdlib_1_1unordered__pair_html_acf9616303a651746b28b516bb1f9c6c1"><div class="ttname"><a href="structdlib_1_1unordered__pair.html#acf9616303a651746b28b516bb1f9c6c1">dlib::unordered_pair::unordered_pair</a></div><div class="ttdeci">unordered_pair()</div><div class="ttdef"><b>Definition:</b> unordered_pair.h:50</div></div>
<div class="ttc" id="astructdlib_1_1unordered__pair_html_af43ce90a2aa2c985ff05d4e957f9a871"><div class="ttname"><a href="structdlib_1_1unordered__pair.html#af43ce90a2aa2c985ff05d4e957f9a871">dlib::unordered_pair::operator=</a></div><div class="ttdeci">unordered_pair &amp; operator=(const unordered_pair &amp;item)</div><div class="ttdef"><b>Definition:</b> unordered_pair.h:79</div></div>
<div class="ttc" id="astructdlib_1_1unordered__pair_html_aa7f8de40bf6b194195f112d8edfb71aa"><div class="ttname"><a href="structdlib_1_1unordered__pair.html#aa7f8de40bf6b194195f112d8edfb71aa">dlib::unordered_pair::type</a></div><div class="ttdeci">T type</div><div class="ttdef"><b>Definition:</b> unordered_pair.h:43</div></div>
<div class="ttc" id="astructdlib_1_1unordered__pair_html"><div class="ttname"><a href="structdlib_1_1unordered__pair.html">dlib::unordered_pair</a></div><div class="ttdef"><b>Definition:</b> unordered_pair.h:16</div></div>
<div class="ttc" id="anamespacedlib_html"><div class="ttname"><a href="namespacedlib.html">dlib</a></div><div class="ttdef"><b>Definition:</b> algs.h:119</div></div>
<div class="ttc" id="astructdlib_1_1unordered__pair_html_a152a01273d2896bcefaa21383b704cab"><div class="ttname"><a href="structdlib_1_1unordered__pair.html#a152a01273d2896bcefaa21383b704cab">dlib::unordered_pair::unordered_pair</a></div><div class="ttdeci">unordered_pair(const unordered_pair&lt; U &gt; &amp;p)</div><div class="ttdef"><b>Definition:</b> unordered_pair.h:69</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
